Subject: Re: [PATCH 2/2] gitweb: Show trailing slash when listing tree entry in tree listing

From: A Large Angry SCM <[email-masked]>
Date: Sat, 07 Oct 2006 14:31:43 -0700

Luben Tuikov wrote:
> --- Petr Baudis <[email-masked]> wrote:
>> Signed-off-by: Petr Baudis <[email-masked]>
>> ---
> 
> First, this is a Unixism, and would confuse other OS users.
> Second, "/" is after all _not part of the name_ of the tree/directory,
> but part of the filesystem's path separator, let's not export it
> to users of other OS's.
> Third, directories/trees are already clearly 
>   1) underlined, and
>   2) differently colored,
> which makes it overly obvious what it what.
> 
> In fact, my eyes only scan for the different color/underlined
> entries when I'm searching for a directory in tree view.  I don't even
> look at the left-most column.

Not that I care that much, but
   1) not all browsers show underlines (try some text mode browsers)
   2) not all browsers show colors (try some text mode browsers)
   2) not all people see all colors